require 'net/http'
require 'open-uri'
require 'json'

module Andy
  module Api
  	class Fetch

      def build_pint_catalog
        response = open('https://api.github.com/orgs/andy-pint-repository/repos')
        repo_list = JSON.parse(response.read) 
        actual_repos = {}
        repo_list.each do |repo|
          repo_name = repo['name']
          pint_fetch_url = "https://github.com/andy-pint-repository/#{repo_name}/archive/master.zip"
          actual_repos[repo_name] = { :name => repo_name, :url => pint_fetch_url }
        end
        actual_repos
      end

      def download_pint(pint_fetch_url, destination)
      end

  		def fetch_list
  			uri = URI.parse('https://api.github.com/orgs/andy-pint-repository/repos')
  			http = Net::HTTP.new(uri.host, uri.port)
        http.use_ssl = true
        http.verify_mode = OpenSSL::SSL::VERIFY_NONE

        request = Net::HTTP::Get.new(uri.request_uri)

        response = http.request(request)
        repo_list = JSON.parse response.body
        actual_repos = {}
        repo_list.each do |repo|
          puts "NAME #{repo['name']}"
          repo_name = repo['name']
          pint_fetch_url = "https://github.com/andy-pint-repository/#{repo_name}/archive/master.zip"
          actual_repos[repo_name] = { :name => repo_name, :url => pint_fetch_url }
        end

        uri = actual_repos['basic-web'][:url]
        resp = open(uri)
        File.open("./data.zip", "wb") do |f|
          f.write(resp.string)
        end
  		   end
  	end
  end
end